
/**
 *		Photoviewer Controller - Literal
 * 
 * 		Handles all general commands for the photoviewer,
 * 		can be seen as the Main. 
 */
var PhotoviewerController = {
	gateway : undefined,
	startPhotoviewer : function(){
		GatewayController.loadPhotos();
	},
	loadPhotos : function(photos) {
		PhotoviewerController.removeLoader(PhotoviewerController.getContentDom());
		for(var i = 0; i < photos.length; i++) {
			var photo = photos[i];
			var photoSection = this.getContentDom();
			photoSection.appendChild(View.photoItem(photo));
		}
		var clearFloat = document.createElement('div');
		clearFloat.setAttribute('class', 'clear');
		photoSection.appendChild(clearFloat);
		this.keepAspectRatio();
	},
	getContentDom : function() {
		return document.getElementById('photo-content');
	},
	photoIsLandscape : function(photo) {
		var width = photo.image.width;
		var height = photo.image.height;
		var ratio = width / height;
		if(ratio >= 1)
			return true;
		return false;
	},
	removePhoto : function(photo) {
		var id = photo.getElementsByTagName('img')[0].getAttribute('src').split('/photoviewer/');
		id = id[1].split('.');
		photo.parentNode.removeChild(photo);
	},
	removeLoader : function(parent) {
		parent.removeChild(document.getElementById('loader'));
	},
	keepAspectRatio : function() {
		if(this.getTemplate() != '4column')
			return;
        var photoThumbnails = document.getElementsByClassName('photothumbnail');
        for(var i = 0; i < photoThumbnails.length; i++) {
        	var thumbnail = photoThumbnails[i];
        	// Photo frame height according to width (4 : 3 ratio)
        	thumbnail.setAttribute('style', 'height:' + Math.round((thumbnail.scrollWidth * 0.75)) + 'px;');
        }
	},
	clearAspectRatio : function() {
        var photoThumbnails = document.getElementsByClassName('photothumbnail');
        for(var i = 0; i < photoThumbnails.length; i++) {
        	var thumbnail = photoThumbnails[i];
        	thumbnail.removeAttribute('style');
        }
	},
	setTemplate : function(name) {
		this.getContentDom().setAttribute('data-template', name);
		if(name == '4column') {
			this.keepAspectRatio();
		} else {
			this.clearAspectRatio();
		}
	},
	getTemplate : function() {
		return this.getContentDom().getAttribute('data-template');
	},
	// IE fix, do not use width / height
	removeDimensions : function(image) {
		if(image.getAttribute('width') != null) {
			image.removeAttribute('width');
			image.removeAttribute('height');
		}
	}
}
