/**
 *		View - Literal
 * 
 * 		Contains all views 
 */
var View = {
	photoItem : function(photo) {
		var photoFrame = document.createElement('article');
		photoFrame.setAttribute('oncontextmenu', 'event.preventDefault(); PhotoviewerController.removePhoto(this);');
		photoFrame.setAttribute('class', 'photothumbnail');
		var photoImage = photo.image;
		photoImage.setAttribute('onclick', 'NavigationController.openDetail(this);');
		photoImage.setAttribute('data-name', photo.name);
		photoImage.setAttribute('data-date', photo.date);
		photoImage.setAttribute('data-desc', photo.desc);
		photoImage.setAttribute('data-author', photo.author);
		photoImage.setAttribute('data-type', photo.type);
		// IE fix
		photoImage.setAttribute('onload', 'PhotoviewerController.removeDimensions(this);');
		photoFrame.appendChild(photoImage);
		return photoFrame;
	},
	photoDetail : function(photo) {
		var darkerFrame = document.createElement('div');
		darkerFrame.setAttribute('id', 'darker');

		darkerFrame.setAttribute('onclick', 'NavigationController.closeDetail();');
		var detailFrame = document.createElement('section');
		var detailPhotoHolder = document.createElement('div');
		var detailPhoto = photo.image.cloneNode(false);
		var detailInfo = document.createElement('p');
		detailInfo.innerHTML = '<strong>' + photo.name + '</strong><br />' + photo.desc;
		
		var detailDate = document.createElement('div');
		detailDate.setAttribute('id', 'date');
		detailDate.innerHTML = photo.dutchTime();
		
		var detailAuthor = document.createElement('div');
		detailAuthor.setAttribute('id', 'author');
		detailAuthor.innerHTML = photo.author;
		
		var detailViews = document.createElement('div');
		detailViews.setAttribute('id', 'views');
		detailViews.innerHTML = photo.getViews() + ' view(s)';
		
		var detailSlideShow = document.createElement('img');
		detailSlideShow.setAttribute('id', 'slideshow');
		detailSlideShow.setAttribute('src', 'images/slideshow.png');
		detailSlideShow.setAttribute('alt', 'Slideshow');
		detailSlideShow.setAttribute('title', 'Start Slideshow');
		detailSlideShow.setAttribute('onclick', 'event.stopPropagation(); NavigationController.startSlideShow();');
		
		var previousArrow = document.createElement('img');
		previousArrow.setAttribute('id', 'previousPhoto');
		previousArrow.setAttribute('onclick', 'event.stopPropagation(); NavigationController.previousPhoto();');
		previousArrow.setAttribute('src', 'images/arrow_left.png');
		
		var nextArrow = document.createElement('img');
		nextArrow.setAttribute('id', 'nextPhoto');
		nextArrow.setAttribute('onclick', 'event.stopPropagation(); NavigationController.nextPhoto();');
		nextArrow.setAttribute('src', 'images/arrow_right.png');
		
		
		detailPhotoHolder.appendChild(detailPhoto);
		detailPhotoHolder.appendChild(detailDate);
		detailPhotoHolder.appendChild(detailAuthor);
		detailPhotoHolder.appendChild(detailInfo);
		detailPhotoHolder.appendChild(detailViews);
		detailPhotoHolder.appendChild(detailSlideShow);
		detailPhotoHolder.appendChild(previousArrow);
		detailPhotoHolder.appendChild(nextArrow);
		detailFrame.appendChild(detailPhotoHolder);
		darkerFrame.appendChild(detailFrame);
		document.getElementsByTagName('body')[0].appendChild(darkerFrame);
		detailFrame.setAttribute('style', 'height:' + (detailPhoto.height + 10) + 'px; margin-top: -' + ((detailPhoto.height + 10) / 2) + 'px;');

	}
}