/**
 *		PhotoViewer - Assignment 2
 * 		Maikel Zweerink 
 * 
 * 		Based on MVC principal, OO in native Javascript.
 * 
 * 		Reference at http://net.tutsplus.com/tutorials/javascript-ajax/the-basics-of-object-oriented-javascript/
 */


// Trigger the script after completed loading
var readyStateCheckInterval = setInterval(function() {
    if (document.readyState === "complete") {
        clearInterval(readyStateCheckInterval);
        
        // Run the photoviewer
        PhotoviewerController.startPhotoviewer();
        

        
        // Assign all user interactions
        window.onkeydown = function(e) {
        	// If escape is pressed, and in detail mode:
        	switch(e.keyCode) {
        		// Escape
        		case 27:
        			if(NavigationController.inDetail) {
		        		e.preventDefault();
		        		NavigationController.closeDetail();
        			} else if(!NavigationController.inDetail && NavigationController.inSelect) {
        				e.preventDefault();
        				NavigationController.unselectPhoto();
        			}
        			break;
        		// Right
        		case 39:
        			if(NavigationController.inDetail) {
		        		e.preventDefault();
		        		NavigationController.nextPhoto();
        			} else if(!NavigationController.inSelect) {
        				e.preventDefault();
        				NavigationController.selectFirstPhoto();
        			} else if(NavigationController.inSelect) {
        				e.preventDefault();
        				NavigationController.nextSelectedPhoto();
        			}
        			break;
        		// Left
        		case 37:
        			if(NavigationController.inDetail) {
		        		e.preventDefault();
		        		NavigationController.previousPhoto();
        			} else if(!NavigationController.inSelect) {
        				e.preventDefault();
        				NavigationController.selectLastPhoto();
        			} else if(NavigationController.inSelect) {
        				e.preventDefault();
        				NavigationController.previousSelectedPhoto();
        			}
        			break;
        		// Space
         		case 32:
        			if(!NavigationController.inDetail && NavigationController.inSelect) {
		        		e.preventDefault();
		        		NavigationController.openSelectedDetail();
        			}
        			break;
        		default:
        			// nothing yet
        			break;
        	}
        }
        
        // Keep Aspect ratio
        window.onresize = function(event) {
			PhotoviewerController.keepAspectRatio();
		}

    }
}, 10);
